import request from '@/utils/request'

// 查询场景列表
export function listScene() {
  return request({
    url: '/VRdemo/scene',
    method: 'get',
  })
}

// 查询场景详细
export function getScene(data) {
  return request({
    url: '/VRdemo/scene/getScene',
    method: 'post',
    data: data
  })
}

// 新增场景
export function addScene(data) {
  return request({
    url: '/VRdemo/scene/add',
    method: 'post',
    data: data
  })
}

// 修改场景
export function updateScene(data) {
  return request({
    url: '/VRdemo/scene/edit',
    method: 'post',
    data: data
  })
}

// 删除场景
export function delScene(sceneId) {
  return request({
    url: '/VRdemo/scene/' + sceneId,
    method: 'delete'
  })
}

// 删除七牛云上传文件
export function deleteUpload(data) {
  return request({
    url: '/VRdemo/scene/deleteUpload',
    method: 'post',
    data: data
  })
}